Package twisted :: Package protocols :: Module irc :: Class DccFileReceiveBasic

[frames | no frames]

## Class DccFileReceiveBasic

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                      DccFileReceiveBasic

Known Subclasses:
  `DccFileReceive`

Bare protocol to receive a Direct Client Connection SEND stream.

This does enough to keep the other guy talking, but you'll want to extend my dataReceived method to *do* something with the data I get.

Method Summary
| `__init__(self, resumeOffset)`
| ``dataReceived`(self, data)` Called when data is received.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `bytesReceived` = 0
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### dataReceived(self, data)

Called when data is received.

Warning: This just acknowledges to the remote host that the data has been received; it doesn't *do* anything with the data, so you'll want to override this.

  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived`

Class Variable Details

### bytesReceived

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net